### Method

# Foundry GitVcs commit

#### Declaration [src]

    DexFuture*
    foundry_git_vcs_commit (
      FoundryGitVcs* self,
      const char* message,
      const char* author_name,
      const char* author_email
    )

#### Description [src]

Simple API to create a new commit from the index.

#### Parameters

`message`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`author_name`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`author_email`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGitCommit` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.